- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# ViewPortState Struct Reference

This reference page is linked to from the following overview topics: Layers and Viewport Filters, Viewport Filters.

Search for all occurrences

## Detailed Description

Holds all the information about the current viewport state, used by ViewPortFilter objects.

Examples:

  SampleViewportFilter/SampleViewportFilter.cpp, SampleViewportFilter/SampleViewportFilter.h, TextureSwapperViewportFilter/TextureSwapperViewportFilter.cpp, and TextureSwapperViewportFilter/TextureSwapperViewportFilter.h.

Definition at line 20 of file viewport.h.

`#include <viewport.h>`

List of all members.

## Public Attributes
Texture * | m_pColor
Texture * | m_pDepth
Texture * | m_pPosition
Texture * | m_pNormal
Texture * | m_pLinearDepth
Texture * | m_pFaceNormal
bool | m_bHDRNeeded

## Member Data Documentation

Texture* m_pColor

Search for all occurrences

Examples:
  SampleViewportFilter/SampleViewportFilter.cpp, and TextureSwapperViewportFilter/TextureSwapperViewportFilter.cpp.

Definition at line 22 of file viewport.h.

Texture* m_pDepth

Search for all occurrences

Examples:
  TextureSwapperViewportFilter/TextureSwapperViewportFilter.cpp.

Definition at line 23 of file viewport.h.

Texture* m_pPosition

Search for all occurrences

Examples:
  TextureSwapperViewportFilter/TextureSwapperViewportFilter.cpp.

Definition at line 24 of file viewport.h.

Texture* m_pNormal

Search for all occurrences

Examples:
  TextureSwapperViewportFilter/TextureSwapperViewportFilter.cpp.

Definition at line 25 of file viewport.h.

Texture* m_pLinearDepth

Search for all occurrences

Definition at line 26 of file viewport.h.

Texture* m_pFaceNormal

Search for all occurrences

Definition at line 27 of file viewport.h.

bool m_bHDRNeeded

Search for all occurrences

Examples:
  SampleViewportFilter/SampleViewportFilter.cpp.

Definition at line 28 of file viewport.h.

The documentation for this struct was generated from the following file:

- Mudbox/viewport.h